com.verisign.epp.codec.registry.v02

## Enum EPPRegistryBatchSchedule.Frequency

- java.lang.Object
- - java.lang.Enum<EPPRegistryBatchSchedule.Frequency>
  - - com.verisign.epp.codec.registry.v02.EPPRegistryBatchSchedule.Frequency

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<EPPRegistryBatchSchedule.Frequency>
  Enclosing class:
    EPPRegistryBatchSchedule

      public static enum EPPRegistryBatchSchedule.Frequency
      extends java.lang.Enum<EPPRegistryBatchSchedule.Frequency>

  Possible values for the `frequency` attribute.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `daily` The schedule will execute every day.
    `monthly` The schedule will execute every month.
    `weekly` The schedule will execute every week.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static EPPRegistryBatchSchedule.Frequency` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static EPPRegistryBatchSchedule.Frequency[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### daily

          public static final EPPRegistryBatchSchedule.Frequency daily

      The schedule will execute every day.

    - #### weekly

          public static final EPPRegistryBatchSchedule.Frequency weekly

      The schedule will execute every week.

    - #### monthly

          public static final EPPRegistryBatchSchedule.Frequency monthly

      The schedule will execute every month.

  - ### Method Detail

    - #### values

          public static EPPRegistryBatchSchedule.Frequency[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (EPPRegistryBatchSchedule.Frequency c : EPPRegistryBatchSchedule.Frequency.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static EPPRegistryBatchSchedule.Frequency valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null